from base_app.views import GenericSoapAPIView
from rest_framework.permissions import AllowAny

from fec_apphistory import constants as fec_apphistory_constants
from fec_apphistory import serializers as fec_apphistory_serializers
from fec_apphistory.conf import settings


class GetAppLoanHistory(GenericSoapAPIView):
    """
    API to get total amount for App History
    """
    permission_classes = (AllowAny,)
    request_serializer_class = fec_apphistory_serializers.GetAppHistorySerializer
    response_serializer_class= fec_apphistory_serializers.ReturnAppHistorySerializer
    request_url = settings.APPHISTORY_HOST + settings.APPHISTORY_SUBURL
    username = settings.APPHISTORY_USERNAME
    password = settings.APPHISTORY_PASSWORD
    method_name = 'GetAppLoanHistory'
    success_code_list = [1, '1', 3, '3']
    success_code_eval = "data.get('data', {}).get('Sys', {}).get('Code')"
    return_codes = fec_apphistory_constants.APPHISTORY_RETURN_CODES
